%global milestone RC1

%global common_desc \
Dibbler is a portable DHCPv6 implementation. It supports stateful (i.e. IPv6 \
address granting and IPv6 prefix delegation) as well as stateless (i.e. option \
granting) autoconfiguration for IPv6.

Name:		dibbler
Version:	1.0.1
Release:	0.%{milestone}%{?dist}
Summary:	Portable DHCPv6 implementation

Group:		Applications/System
License:	GPLv2
URL:		http://klub.com.pl/dhcpv6
Source0:	http://klub.com.pl/dhcpv6/dibbler/dibbler-%{version}%{milestone}.tar.gz

%description
%{common_desc}


%package client
Summary:	Dibbler, DHCPv6 client
Group:		Applications/System
Requires:	dibbler-common = %{version}-%{release}


%description client
%{common_desc}

This package contains DHCPv6 client.


%package relay
Summary:	Dibbler, DHCPv6 relay
Group:		Applications/System
Requires:	dibbler-common = %{version}-%{release}


%description relay
%{common_desc}

This package contains DHCPv6 relay.


%package requestor
Summary:	Dibbler, DHCPv6 request generator
Group:		Applications/System
Requires:	dibbler-common = %{version}-%{release}


%description requestor
%{common_desc}

This package contains DHCPv6 request generator.


%package server
Summary:	Dibbler, DHCPv6 server
Group:		Applications/System
Requires:	dibbler-common = %{version}-%{release}


%description server
%{common_desc}

This package contains DHCPv6 server.


%package docs
Summary:	Dibbler documentation
Group:		Applications/System


%description docs
%{common_desc}

This package contains dibbler documentation.


%package common
Summary:	Dibbler common files
Group:		Applications/System


%description common
%{common_desc}

This package contains dibbler common files.


%prep
%setup -q -n dibbler-%{version}%{milestone}


%build
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}

# We explicitly add license file to each sub-package, so no need to install it
# as documentation
rm %{buildroot}%{_pkgdocdir}/LICENSE

# Setup directories
install -d -m 755 %{buildroot}%{_sharedstatedir}/dibbler
install -d -m 755 %{buildroot}%{_sysconfdir}/dibbler

for config in client relay server; do
    cp doc/examples/$config.conf %{buildroot}%{_sysconfdir}/dibbler
done


%files common
%{_sharedstatedir}/dibbler


%files client
%license LICENSE
%{_sbindir}/dibbler-client
%{_mandir}/man8/dibbler-client.8*
%config(noreplace) %{_sysconfdir}/dibbler/client.conf


%files relay
%license LICENSE
%{_sbindir}/dibbler-relay
%{_mandir}/man8/dibbler-relay.8*
%config(noreplace) %{_sysconfdir}/dibbler/relay.conf


%files requestor
%license LICENSE
%{_sbindir}/dibbler-requestor


%files server
%license LICENSE
%{_sbindir}/dibbler-server
%{_mandir}/man8/dibbler-server.8*
%config(noreplace) %{_sysconfdir}/dibbler/server.conf


%files docs
%license LICENSE
%{_pkgdocdir}/CHANGELOG
%{_pkgdocdir}/RELNOTES
%{_pkgdocdir}/dibbler-user.pdf
%{_pkgdocdir}/examples/*.conf
%{_pkgdocdir}/scripts/*


%changelog
* Thu Mar 26 2015 Ihar Hrachyshka <ihrachys@redhat.com> - 1.0.1-0.RC1
- Initial package build.
